org.appng.xml.platform

## Class SectionConfig

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.SectionConfig

- All Implemented Interfaces:
    Serializable

      public class SectionConfig
      extends BaseObject
      implements Serializable

  Java class for sectionConfig complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="sectionConfig">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="title" type="{http://www.appng.org/schema/platform}label" minOccurs="0"/>
               <element name="textelements" type="{http://www.appng.org/schema/platform}textelements" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Textelements` | `textelements`
    `protected Label` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Textelements` | `getTextelements()` Gets the value of the textelements property.
    `Label` | `getTitle()` Gets the value of the title property.
    `void` | `setTextelements(Textelements value)` Sets the value of the textelements property.
    `void` | `setTitle(Label value)` Sets the value of the title property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### title

          protected Label title

    - #### textelements

          protected Textelements textelements

  - ### Constructor Detail

    - #### SectionConfig

          public SectionConfig()

  - ### Method Detail

    - #### getTitle

          public Label getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `Label`

    - #### setTitle

          public void setTitle(Label value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getTextelements

          public Textelements getTextelements()

      Gets the value of the textelements property.
      Returns:
        possible object is `Textelements`

    - #### setTextelements

          public void setTextelements(Textelements value)

      Sets the value of the textelements property.
      Parameters:
        `value` - allowed object is `Textelements`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.